/*                                      */
/* Out(F_n) computation                 */
/* Ferenc Gerlits, PhD thesis, Aug 2002 */
/*                                      */
/* Writes out a bag of graphs in postscript form */
/*                                               */

package OutH;

import java.util.Vector;
import java.io.*;

public class WritePS
{
  public static void main(String argv[]) throws java.io.IOException {
    int n, i,j;
    Graph g;
    Permutation sigma;
    Vector bag = new Vector(10,10);
    FileInputStream fs = null;
    ObjectInputStream s = null;
        
    fs = new FileInputStream(argv[0]);             
    s = new ObjectInputStream(fs);

    try {
      n = 0;
      while (true) {
        g = (Graph)s.readObject();
        sigma = new Permutation(g.size);
        for (i=1; i<sigma.size; i++) {
          if (i%2 == 0)
            sigma.p[sigma.size - i/2] = i;
          else
            sigma.p[(i+1)/2] = i;
          }
        g.permute(sigma.inverse());
        System.out.println("[");
        for (i=0; i<g.size; i++) {
          System.out.print("[");
          for (j=0; j<i; j++)
            System.out.print("\t");
          for (j=i; j<g.size; j++)
            System.out.print("\t" + g.m[i][j]);
          System.out.println("\t]");
          }
        System.out.println("]");
        System.out.println();
        }
      }
    catch(EOFException e) {}  
    catch (ClassNotFoundException e) {
      System.out.println("Class not found.");
      System.exit(1);
      }
     
    s.close();
    fs.close();
    }
}
